curl https://tmstest.reconex.io/api/v1/IntegrationApi/UpdateAndReRateLoad \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'apikey: <api-key>' \
--data '{
"mustArriveByDate": "2024-08-25T15:00:00Z",
"loadId": 0,
"billingInformation": {
"terms": "terms",
"role": "role",
"billingID": "billingID",
"poNumber": "poNumber",
"proNumber": "proNumber",
"customID": "customID",
"name": "name",
"street1": "street1",
"street2": "street2",
"city": "city",
"state": "state",
"zip": "zip",
"country": "country"
},
"originLocation": {
"contact": "contact",
"phone": "phone",
"fax": "fax",
"email": "email",
"other": "other",
"type": "type",
"notes": "notes",
"number": "number",
"dockOpen": "2024-08-25T15:00:00Z",
"dockClose": "2024-08-25T15:00:00Z",
"notesNotOnBOL": "notesNotOnBOL",
"appointment": true,
"appointmentDate": "2024-08-25T15:00:00Z",
"freightReadyTime": "2024-08-25T15:00:00Z",
"name": "name",
"street": "street",
"street2": "street2",
"city": "city",
"stateProvince": "stateProvince",
"postalCode": "postalCode",
"country": "country"
},
"destinationLocation": {
"contact": "contact",
"phone": "phone",
"fax": "fax",
"email": "email",
"other": "other",
"type": "type",
"notes": "notes",
"number": "number",
"dockOpen": "2024-08-25T15:00:00Z",
"dockClose": "2024-08-25T15:00:00Z",
"notesNotOnBOL": "notesNotOnBOL",
"appointment": true,
"appointmentDate": "2024-08-25T15:00:00Z",
"freightReadyTime": "2024-08-25T15:00:00Z",
"name": "name",
"street": "street",
"street2": "street2",
"city": "city",
"stateProvince": "stateProvince",
"postalCode": "postalCode",
"country": "country"
},
"items": [
{
"qty": "qty",
"packaging": "packaging",
"freightClass": "freightClass",
"weight": "weight",
"nmfCnumber": "nmfCnumber",
"subClass": "subClass",
"description": "description",
"hazMat": {
"isHazMat": true,
"unNa": "unNa",
"unNaNumber": "unNaNumber",
"hazClass": "hazClass",
"pgCode": "pgCode",
"subRisk": 0,
"vol": 0,
"limitedQuantity": true
},
"itemDimensions": {
"length": 0,
"height": 0,
"width": 0,
"shipQuantity": 0
}
}
],
"accessorials": {
"doNotFreeze": true,
"overLength": true,
"sortAndSegregate": true,
"blindShipment": true,
"whiteGloveDelivery": true,
"expedite": true,
"insuranceRequired": true,
"falveyInsValue": 0,
"volumeLoad": true,
"guaranteed": true,
"mabd": true,
"destinationNotification": true,
"originInsidePickup": true,
"originLiftGate": true,
"destinationInsideDelivery": true,
"destinationLiftGate": true,
"inBond": true
},
"additionalLoadInfo": {
"pickedUpDate": "2024-08-25T15:00:00Z",
"specialInstructions": "specialInstructions",
"shippingQuantity": 0,
"loadEquipmentType": "loadEquipmentType",
"shippingUnits": "shippingUnits",
"asn": {
"isASNNeeded": true,
"asnTemplateName": "asnTemplateName"
},
"allStackable": true,
"loadNotes": "loadNotes"
},
"accessories": {
"blindShipment": true,
"doNotFreeze": true,
"guaranteed": true,
"notification": true,
"overLength": true,
"sortAndSegregate": true,
"volumeLoad": true,
"whiteGloveDelivery": true,
"expedite": true,
"originInsidePickup": true,
"destinationInsideDelivery": true,
"originLiftGate": true,
"destinationLiftGate": true,
"inBond": true
}
}'